Page MenuHomePhabricator

Create an arbcom-cs wiki
Closed, ResolvedPublic

Description

Hi,
cswiki ArbCom wants to have private wiki. It should be readable and writable only by members of Czech ArbCom.

A consent from other members will be posted here by a comment. Edit: Majority of members (currently 4 people in total; three of them accepted creating) supported this request.

Thanks in advance,
Martin Urbanec
a member of Czech ArbCom

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I support this request.

Urbanecm updated the task description. (Show Details)Nov 27 2016, 9:22 PM
Urbanecm updated the task description. (Show Details)Nov 27 2016, 9:40 PM
Urbanecm updated the task description. (Show Details)Nov 28 2016, 9:56 AM
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.

@MarcoAurelio: As it is a private wiki, please wait for my ok to start creating it (reviews can be sent, but do not deploy anything that touches the database); aside from deploying https://gerrit.wikimedia.org/r/#/c/323814, a manual check/procedure is needed in order to verify no data is leaked publicly.

RPekar added a subscriber: RPekar.Nov 28 2016, 2:15 PM

@jcrespo I have no deployement access so from my part rest assured I can't create anything. I can only submit patches to gerritl, but not merging them nor run maintenance scripts. Next I'm going to do is to submit for review wmf-config/ configuration.

Change 323814 merged by Jcrespo:
Add arbcom_cswiki to $private_wikis in realm.pp

https://gerrit.wikimedia.org/r/323814

Change 323843 had a related patch set uploaded (by MarcoAurelio):
[DNM] Initial configuration for arbcom_cs.wikipedia.org

https://gerrit.wikimedia.org/r/323843

@matej_suchanek Really duplicate? I don't think so. The previous request was closed as invalid previously and it was created (and closed) a long long time ago. But I won't revert you anyway. I only want to tell you my thoughts.

Urbanecm added a comment.EditedNov 28 2016, 6:52 PM

@MarcoAurelio I would like to suggest some minor tweaks for 323843 (don't know if I can submit new patchset to this change).

  • Site name should be in Czech, exact translation of "Arbitration Committee" is Arbitrážní výbor and I think it can be used as site name.
  • Meta namespace and meta talk namespace should be in Czech too. Exact translation of "Project" is "Projekt" and exact translation of "Project talk" is "Diskuse k projektu". Maybe "Arbitrážní výbor" and "Diskuse k arbitrážnímu výboru" will be better (in English "Arbitration Committee" and "Arbitration Committee talk").
  • Logo: Logo of our ArbCom is https://commons.wikimedia.org/wiki/File:Wikipedia_Arbitration_Committee_Logo_cs.svg (see https://cs.wikipedia.org/wiki/Wikipedie:Arbitr%C3%A1%C5%BEn%C3%AD_v%C3%BDbor for prove)
  • Also I think members of bureaucrat group should be able to modify all user rights (grant and revoke) so we don't need to go to stewards everytime.

@Urbanecm Thanks for the review. I'll amend the patch to add your requested
changes. Regards.

@matej_suchanek Really duplicate? I don't think so. The previous request was closed as invalid previously and it was created (and closed) a long long time ago. But I won't revert you anyway. I only want to tell you my thoughts.

I think it's quite analogous to re-opening that task.

@Urbanecm Thanks for the review. I'll amend the patch to add your requested
changes. Regards.

You're welcome @MarcoAurelio. Thank you.

@MarcoAurelio I would like to suggest some minor tweaks for 323843 (don't know if I can submit new patchset to this change).
Site name should be in Czech, exact translation of "Arbitration Committee" is Arbitrážní výbor and I think it can be used as site name.

Okay I guess. Other ArbCom wikis do use Arbitration Committee as site name but I don't think changing that will disrupt anything.

Meta namespace and meta talk namespace should be in Czech too. Exact translation of "Project" is "Projekt" and exact translation of "Project talk" is "Diskuse k projektu". Maybe "Arbitrážní výbor" and "Diskuse k arbitrážnímu výboru" will be better (in English "Arbitration Committee" and "Arbitration Committee talk").

Site language has been set to cs, so I wonder if 'Project' would autotranslate? I'll change it nonetheless but I can't add both so please decide -or- we can add Projekt and have them modified later.

Logo: Logo of our ArbCom is https://commons.wikimedia.org/wiki/File:Wikipedia_Arbitration_Committee_Logo_cs.svg (see https://cs.wikipedia.org/wiki/Wikipedie:Arbitr%C3%A1%C5%BEn%C3%AD_v%C3%BDbor for prove)

Will add.

Also I think members of bureaucrat group should be able to modify all user rights (grant and revoke) so we don't need to go to stewards everytime.

Bureaucrats can already add and remove sysop and bureaucrat flags locally in the patch I uploaded before. And sysops can grant and revoke the default user groups. Won't add full userrights as that'll give local bureaucrats the right to add CU and OS rights which can only be granted by stewards as per policy.

Urbanecm added a subscriber: Reedy.Nov 29 2016, 1:42 PM

@MarcoAurelio Okay, I accept this. If it will autotranslate, its okay :). By the way I was told by @Reedy stewards have no access to private wikis but I think OS and CU won't be needed.

Stewards can modify local user rights on private wikis using interwiki user rights

In https://gerrit.wikimedia.org/r/#/c/323843/2..3 I've defined logo path and changed the sitename, Meta and Meta talk namespace.

I've left the logo part because final version requires running optiPNG and I don't have that feature.

@MarcoAurelio Okay, I accept this. If it will autotranslate, its okay :).

I've changed it to Projekt, see my reply above.

By the way I was told by @Reedy stewards have no access to private wikis but I think OS and CU won't be needed.

It is true, we have no access but we can modify user groups via the 'userrights-interwiki' flag at Meta-Wiki as Krenair said.

jcrespo removed a subscriber: jcrespo.Nov 29 2016, 2:01 PM
Urbanecm added a comment.EditedNov 29 2016, 2:06 PM

Thanks all of you for clarification. Logo) I'll take care about it. Should I upload an entriely new patch or amend your patch? Or you can upload/amend a patch and I'll optiPNG it.

Urbanecm moved this task from Watching to Working on on the User-Urbanecm board.Nov 29 2016, 2:07 PM

I'd prefer if you created a new patch. Thank you.

Sure, working on it.

Change 324188 had a related patch set uploaded (by Urbanecm):
[logo] Add logo for arbcom_cswiki

https://gerrit.wikimedia.org/r/324188

Urbanecm moved this task from Working on to Watching on the User-Urbanecm board.Nov 29 2016, 2:40 PM
Urbanecm moved this task from Watching to To deploy on the User-Urbanecm board.Nov 29 2016, 8:02 PM

Logo upload will be made tomorrow as it won't do more than add logo to the filesystem.

Change 324188 merged by jenkins-bot:
[logo] Add logo for arbcom_cswiki

https://gerrit.wikimedia.org/r/324188

Logos was deployed.

Urbanecm moved this task from To deploy to Watching on the User-Urbanecm board.Nov 30 2016, 2:19 PM
Urbanecm triaged this task as Low priority.Dec 1 2016, 8:15 AM

We don't need to hurry. Guess generally low priority.

Unless I'm missing anything, I think we're good to go here. Can we have a review of pending things before asking RelEng for time to create this wiki?

MarcoAurelio added a comment.EditedDec 7 2016, 11:21 PM
  • InitialiseSettings.php configuration is uploaded and awaits code-review.
  • Logos are done and merged already.
  • DNS configuration is uploaded and awaits code-review.
  • DBA is done (see subtask).

https://gerrit.wikimedia.org/r/#/q/topic:T151731

Is there any update for this?

Dereckson added a subscriber: Dereckson.EditedDec 11 2016, 11:42 AM

Is there any update for this?

When the cs.wikipedia ArbCom members need to first use the wiki, in December or could this wait January after the end of year code freeze?

Urbanecm added a comment.EditedDec 11 2016, 11:49 AM

The wiki will help us make things easier (it doesn't stop ArbCom from its work). But membership of three members (from four in total) ends at February 05 2017. There will be ArbCom election and this election can change our ArbCom totally (but I don't think so). BTW what the year code freeze is?

So we have three possibilities:

  • create the wiki next week
  • create the wiki early January
  • create the wiki after February election

What do you need and prefer?

The first one is the best, the second is possible, the last is unsuitable.

As all patches are ready, we could plan this Thursday, December 15 between the MediaWiki train and the evening SWAT.

Dereckson raised the priority of this task from Low to Normal.Dec 11 2016, 12:00 PM

Okay, thanks a lot @Dereckson!

Some things that just came to my mind.

  • Wiki should be using $wgBlockDisablesLogin as private wiki. Not sure if

adding it to private.dblist as we did is enough for that, but that's
important.

  • Once created, maybe the mwscript createandpromote.php should be run and

give @Urbanecm account sysop and 'crat rights there so he can take care of
wiki management once created, since membership and account creation is
restricted, unless the wiki creation script allows to do that while it's
creating the account.

Regards.

wgBlockDisablesLogin should be true for all wikis in private.dblist. As the wiki is already in this list wgBlockDisablesLogin should be true automatically. This is in IS at line around 7359. Regarding the second point, it's up to you if I should create accounts for other members or it will be created by you. I agree with both of it :).

Reedy removed a subscriber: Reedy.Dec 11 2016, 12:08 PM

I've sent a deployment window request for 2016-12-15 21:00 UTC, createAndPromote to give bureaucrat rights to Urbanecm will be indeed fine.

Then please create my account with "Martin Urbanec" as username (my civil name and username used in wikis).

We're still waiting for the DNS change to be made though

It was uploaded by @MarcoAurelio (https://gerrit.wikimedia.org/r/#/c/323851/) already, it awaits code review (and probably some script, according to https://wikitech.wikimedia.org/wiki/Add_a_wiki#DNS the authdns-update script).

Dereckson added a comment.EditedDec 11 2016, 3:59 PM

DNS isn't an issue, we can schedule it for Puppet SWAT, and if not, ops have always been responsive to merge DNS changes when needed.

@MarcoAurelio in the future, when you prepare a patch for ops, add one of them as reviewer, that will allow faster handling.

Edit: DNS change has been scheduled for December 13th Puppet SWAT.

@Dereckson I'll try, but repo owners should also be monitoring changes to their repos too :)

Change 323851 merged by Filippo Giunchedi:
DNS configuration for arbcom-cs.wikipedia.org

https://gerrit.wikimedia.org/r/323851

Change 323843 merged by jenkins-bot:
Initial configuration for arbcom_cs.wikipedia.org

https://gerrit.wikimedia.org/r/323843

Change 327669 had a related patch set uploaded (by Dereckson):
Add arbcom_cswiki to wikiversions

https://gerrit.wikimedia.org/r/327669

Change 327669 merged by jenkins-bot:
Add arbcom_cswiki to wikiversions

https://gerrit.wikimedia.org/r/327669

Change 327670 had a related patch set uploaded (by Dereckson):
Add arbcom_cswiki to site matrix

https://gerrit.wikimedia.org/r/327670

Change 327670 merged by jenkins-bot:
Add arbcom_cswiki to site matrix

https://gerrit.wikimedia.org/r/327670

The wiki works, I've created an account for others members. Thanks for it!

Change 327700 had a related patch set uploaded (by Urbanecm):
Enable subpages in NS0 for arbcom_cswiki

https://gerrit.wikimedia.org/r/327700

Urbanecm moved this task from Watching to To deploy on the User-Urbanecm board.Dec 16 2016, 11:34 AM
Urbanecm closed this task as Resolved.Dec 18 2016, 11:07 AM
Urbanecm assigned this task to Dereckson.

The wiki was created and it's working, closing as resolved.

Per T154872... Can anyone tell me if Special:DeletedContributions is working fine, or it errors out?

No, it do not work (A database query error has occurred. This may indicate a bug in the software.[WNT0FApAMFcAAATnkU4AAABS] 2017-03-24 10:25:24: Fatal exception of type "DBQueryError"). If you wish I can create you an account for testing.

[WNT0FApAMFcAAATnkU4AAABS] 2017-03-24 10:25:24: Fatal exception of type "DBQueryError")

Could you enable $wgShowExceptionDetails and provide a stacktrace?

Urbanecm added a comment.EditedMar 24 2017, 11:25 AM

@Aklapper How can I enable it? I do not have shell access to prod just access (sysop+bureaucrat) to the wiki and I can purpose a patch to gerrit (which isn't what you want from me I guess).

And does it work now?

No, it do not work (A database query error has occurred. This may indicate a bug in the software.[WNT0FApAMFcAAATnkU4AAABS] 2017-03-24 10:25:24: Fatal exception of type "DBQueryError"). If you wish I can create you an account for testing.

Error: 1176 Key 'usertext_timestamp' doesn't exist in table 'archive' (10.64.0.19)

[WNT0FApAMFcAAATnkU4AAABS] 2017-03-24 10:25:24: Fatal exception of type "DBQueryError")

Could you enable $wgShowExceptionDetails and provide a stacktrace?

That's for non WMF wikis, for WMF wikis, errors are sent to https://logstash.wikimedia.org/

Urbanecm added a subscriber: Reedy.Mar 27 2017, 7:26 AM

And does it work now?

Yes.